GET /licenseusage

GET /licenseusage

/licenseusage

Request
URI
GET
https://{api_host}/api/licenseusage
COPY
Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns LicenseUsageInfo of type(s) application/json
{
    "consumed_service_cores": "number",
    "licensed_cores": "number",
    "licensed_service_cores": "number",
    "num_se_vcpus": "number",
    "reserved_service_cores": "number",
    "used_service_cores": "number"
}
number As double As double
consumed_service_cores
Optional

Service cores actively consumed across all tenants for the default tier. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

number As double As double
licensed_cores
Optional

Alias of licensed_service_cores. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

number As double As double
licensed_service_cores
Optional

Service cores licensed for the controller's default license tier. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

number As double As double
num_se_vcpus
Optional

Alias of used_service_cores. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

pertier
Optional

Per-tier breakdown, keyed by LicenseTierType name (e.g. ENTERPRISE, ENTERPRISE_WITH_CLOUD_SERVICES). Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

number As double As double
reserved_service_cores
Optional

Service cores held in escrow but not yet consumed, for the default tier. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

number As double As double
used_service_cores
Optional

consumed_service_cores + reserved_service_cores. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/licenseusage